Bug 115776 - system-config-samba crashes when running from shell
Summary: system-config-samba crashes when running from shell
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-samba   
(Show other bugs)
Version: rawhide
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC2Blocker
TreeView+ depends on / blocked
 
Reported: 2004-02-16 00:22 UTC by Eric N. Ebert
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-20 02:56:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/samba/smb.conf (429 bytes, text/plain)
2004-02-17 21:42 UTC, Eric N. Ebert
no flags Details

Description Eric N. Ebert 2004-02-16 00:22:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
When running system-config-samba from the shell it gives the output listed below. system-config-samba does nothing when selected from the menu. 

Applications --> System Settings --> Server Settings --> Samba

Version-Release number of selected component (if applicable):
system-config-samba-1.2.2-1

How reproducible:
Always

Steps to Reproduce:
1.Open shell
2.run /usr/bin/system-config-samba
3.
    

Actual Results:  Program gave output noted below

Expected Results:  Should be able to get a samba configuration window

Additional info:

** (system-config-samba.py:1795): WARNING **: `GtkTextSearchFlags' is not an enum type
Traceback (most recent call last):
  File "/usr/share/system-config-samba/system-config-samba.py", line 38, in ?
    mainWindow.MainWindow(debug_flag)
  File "/usr/share/system-config-samba/mainWindow.py", line 75, in __init__
    self.samba_data = sambaParser.SambaParser(self)
  File "/usr/share/system-config-samba/sambaParser.py", line 40, in __init__
    self.parseFile()
  File "/usr/share/system-config-samba/sambaParser.py", line 71, in parseFile
    token = self.createToken(line)
  File "/usr/share/system-config-samba/sambaParser.py", line 143, in createToken
    token = sambaToken.SambaToken(sambaToken.SambaToken.SAMBA_TOKEN_KEYVAL, (name, value), self.parent)
  File "/usr/share/system-config-samba/sambaToken.py", line 36, in __init__
    raise AttributeError, value
AttributeError: ('comments', 'All Printers')

Comment 1 Brent Fox 2004-02-17 17:50:38 UTC
Can you attach your /etc/samba/smb.conf file?

Comment 2 Eric N. Ebert 2004-02-17 21:42:19 UTC
Created attachment 97767 [details]
/etc/samba/smb.conf

Comment 3 Brent Fox 2004-02-20 02:56:42 UTC
There are a number of problems with your smb.conf file.

In the [printers] section, the line:	
comments = All Printers
is invalid.  The keyword should be "comment", not "comments".  This
line is causing the crash.

Also, in the [proj] section, you have the lines:
public = yes
and
guest ok = yes

According to 'man smb.conf', "public" and "guest ok" are synonyms. 
Having both of them in the same section is redundant and could
possibly cause samba to get confused, especially if they were set to
different values.  Fortunately they are both set to "yes" in this case.




Note You need to log in before you can comment on or make changes to this bug.